<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (12.0.1) on Sun Jan 12 21:47:51 EST 2020 -->
<title>Constant Field Values (protean-core 1.0.1 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-01-12">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values (protean-core 1.0.1 API)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<section role="region">
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#io.gitlab">io.gitlab.*</a></li>
</ul>
</section>
</div>
<div class="constantValuesContainer"><a id="io.gitlab">
<!--   -->
</a>
<section role="region">
<h2 title="io.gitlab">io.gitlab.*</h2>
<ul class="blockList">
<li class="blockList">
<div class="constantsSummary">
<table>
<caption><span>io.gitlab.littlesaints.protean.<a href="io/gitlab/littlesaints/protean/Constants.html" title="interface in io.gitlab.littlesaints.protean">Constants</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.Constants.CONCURRENCY">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/Constants.html#CONCURRENCY">CONCURRENCY</a></code></th>
<td class="colLast"><code>"concurrency"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.Constants.NAME">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/Constants.html#NAME">NAME</a></code></th>
<td class="colLast"><code>"name"</code></td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="blockList">
<div class="constantsSummary">
<table>
<caption><span>io.gitlab.littlesaints.protean.<a href="io/gitlab/littlesaints/protean/Constants.Context.html" title="interface in io.gitlab.littlesaints.protean">Constants.Context</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.Constants.Context.EXCEPTION_HANDLER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/Constants.Context.html#EXCEPTION_HANDLER">EXCEPTION_HANDLER</a></code></th>
<td class="colLast"><code>"ExceptionHandler"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.Constants.Context.FILTER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/Constants.Context.html#FILTER">FILTER</a></code></th>
<td class="colLast"><code>"Filter"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.Constants.Context.ROUTE_RESOLVER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/Constants.Context.html#ROUTE_RESOLVER">ROUTE_RESOLVER</a></code></th>
<td class="colLast"><code>"RouteResolver"</code></td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="blockList">
<div class="constantsSummary">
<table>
<caption><span>io.gitlab.littlesaints.protean.<a href="io/gitlab/littlesaints/protean/Constants.Exchange.html" title="interface in io.gitlab.littlesaints.protean">Constants.Exchange</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.Constants.Exchange.EXCHANGE_SUPPLIER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/Constants.Exchange.html#EXCHANGE_SUPPLIER">EXCHANGE_SUPPLIER</a></code></th>
<td class="colLast"><code>"exchangeSupplier"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.Constants.Exchange.LAZY_ROUTES">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/Constants.Exchange.html#LAZY_ROUTES">LAZY_ROUTES</a></code></th>
<td class="colLast"><code>"lazyRoutes"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.Constants.Exchange.ORDER_RESOLVER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/Constants.Exchange.html#ORDER_RESOLVER">ORDER_RESOLVER</a></code></th>
<td class="colLast"><code>"orderResolver"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.Constants.Exchange.PROCESSOR_SUPPLIER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/Constants.Exchange.html#PROCESSOR_SUPPLIER">PROCESSOR_SUPPLIER</a></code></th>
<td class="colLast"><code>"processorSupplier"</code></td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="blockList">
<div class="constantsSummary">
<table>
<caption><span>io.gitlab.littlesaints.protean.<a href="io/gitlab/littlesaints/protean/Constants.Statistics.html" title="interface in io.gitlab.littlesaints.protean">Constants.Statistics</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.Constants.Statistics.E2E">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/Constants.Statistics.html#E2E">E2E</a></code></th>
<td class="colLast"><code>"e2e"</code></td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<div class="constantsSummary">
<table>
<caption><span>io.gitlab.littlesaints.protean.configuration.<a href="io/gitlab/littlesaints/protean/configuration/Defaults.html" title="interface in io.gitlab.littlesaints.protean.configuration">Defaults</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.configuration.Defaults.BUFFER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;int</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/configuration/Defaults.html#BUFFER">BUFFER</a></code></th>
<td class="colLast"><code>65536</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.configuration.Defaults.CONTEXT">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/configuration/Defaults.html#CONTEXT">CONTEXT</a></code></th>
<td class="colLast"><code>"protean::context::simple"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.configuration.Defaults.EVENT_ACCESSOR">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/configuration/Defaults.html#EVENT_ACCESSOR">EVENT_ACCESSOR</a></code></th>
<td class="colLast"><code>"protean::event::accessor::simple-event"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.configuration.Defaults.EVENT_CACHE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/configuration/Defaults.html#EVENT_CACHE">EVENT_CACHE</a></code></th>
<td class="colLast"><code>"protean::event::cache::simple"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.configuration.Defaults.EVENT_SUPPLIER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/configuration/Defaults.html#EVENT_SUPPLIER">EVENT_SUPPLIER</a></code></th>
<td class="colLast"><code>"protean::event::supplier::thread-safe-event"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.configuration.Defaults.EXCHANGE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/configuration/Defaults.html#EXCHANGE">EXCHANGE</a></code></th>
<td class="colLast"><code>"protean::exchange::java::linkedTransferQ"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.configuration.Defaults.EXECUTOR">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/configuration/Defaults.html#EXECUTOR">EXECUTOR</a></code></th>
<td class="colLast"><code>"protean::executor::sync"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.configuration.Defaults.RESULT_MAPPER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/configuration/Defaults.html#RESULT_MAPPER">RESULT_MAPPER</a></code></th>
<td class="colLast"><code>"protean::context::result-mapper"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.configuration.Defaults.THROTTLE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/configuration/Defaults.html#THROTTLE">THROTTLE</a></code></th>
<td class="colLast"><code>"protean::throttle::size"</code></td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<div class="constantsSummary">
<table>
<caption><span>io.gitlab.littlesaints.protean.context.<a href="io/gitlab/littlesaints/protean/context/SimpleContext.html" title="class in io.gitlab.littlesaints.protean.context">SimpleContext</a>&lt;<a href="io/gitlab/littlesaints/protean/context/SimpleContext.html" title="type parameter in SimpleContext">P</a>,&#8203;<a href="io/gitlab/littlesaints/protean/context/SimpleContext.html" title="type parameter in SimpleContext">R</a>&gt;</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.context.SimpleContext.TYPE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/context/SimpleContext.html#TYPE">TYPE</a></code></th>
<td class="colLast"><code>"protean::context::simple"</code></td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<div class="constantsSummary">
<table>
<caption><span>io.gitlab.littlesaints.protean.event.<a href="io/gitlab/littlesaints/protean/event/SimpleEventCache.html" title="class in io.gitlab.littlesaints.protean.event">SimpleEventCache</a>&lt;<a href="io/gitlab/littlesaints/protean/event/SimpleEventCache.html" title="type parameter in SimpleEventCache">E</a>&gt;</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.event.SimpleEventCache.TYPE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/event/SimpleEventCache.html#TYPE">TYPE</a></code></th>
<td class="colLast"><code>"protean::event::cache::simple"</code></td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<div class="constantsSummary">
<table>
<caption><span>io.gitlab.littlesaints.protean.exchanges.blocking.<a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedBlockingExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges.blocking">LinkedBlockingExchange</a>&lt;<a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedBlockingExchange.html" title="type parameter in LinkedBlockingExchange">E</a>&gt;</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.exchanges.blocking.LinkedBlockingExchange.TYPE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedBlockingExchange.html#TYPE">TYPE</a></code></th>
<td class="colLast"><code>"protean::exchange::java::linkedBlockingQ"</code></td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="blockList">
<div class="constantsSummary">
<table>
<caption><span>io.gitlab.littlesaints.protean.exchanges.blocking.<a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedSyncTransferExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges.blocking">LinkedSyncTransferExchange</a>&lt;<a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedSyncTransferExchange.html" title="type parameter in LinkedSyncTransferExchange">E</a>&gt;</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.exchanges.blocking.LinkedSyncTransferExchange.TYPE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedSyncTransferExchange.html#TYPE">TYPE</a></code></th>
<td class="colLast"><code>"protean::exchange::java::linkedTransferQ::sync"</code></td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="blockList">
<div class="constantsSummary">
<table>
<caption><span>io.gitlab.littlesaints.protean.exchanges.blocking.<a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedTransferExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges.blocking">LinkedTransferExchange</a>&lt;<a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedTransferExchange.html" title="type parameter in LinkedTransferExchange">E</a>&gt;</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.exchanges.blocking.LinkedTransferExchange.TYPE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/exchanges/blocking/LinkedTransferExchange.html#TYPE">TYPE</a></code></th>
<td class="colLast"><code>"protean::exchange::java::linkedTransferQ"</code></td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<div class="constantsSummary">
<table>
<caption><span>io.gitlab.littlesaints.protean.exchanges.executor.<a href="io/gitlab/littlesaints/protean/exchanges/executor/OrderedExecutionExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges.executor">OrderedExecutionExchange</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.exchanges.executor.OrderedExecutionExchange.TYPE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/exchanges/executor/OrderedExecutionExchange.html#TYPE">TYPE</a></code></th>
<td class="colLast"><code>"protean::exchange::execution::ordered"</code></td>
</tr>
</tbody>
</table>
</div>
</li>
<li class="blockList">
<div class="constantsSummary">
<table>
<caption><span>io.gitlab.littlesaints.protean.exchanges.executor.<a href="io/gitlab/littlesaints/protean/exchanges/executor/UnOrderedExecutionExchange.html" title="class in io.gitlab.littlesaints.protean.exchanges.executor">UnOrderedExecutionExchange</a>&lt;<a href="io/gitlab/littlesaints/protean/exchanges/executor/UnOrderedExecutionExchange.html" title="type parameter in UnOrderedExecutionExchange">E</a>&gt;</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.exchanges.executor.UnOrderedExecutionExchange.TYPE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/exchanges/executor/UnOrderedExecutionExchange.html#TYPE">TYPE</a></code></th>
<td class="colLast"><code>"protean::exchange::execution::unordered"</code></td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<div class="constantsSummary">
<table>
<caption><span>io.gitlab.littlesaints.protean.executors.sync.<a href="io/gitlab/littlesaints/protean/executors/sync/SyncExecutor.html" title="class in io.gitlab.littlesaints.protean.executors.sync">SyncExecutor</a>&lt;<a href="io/gitlab/littlesaints/protean/executors/sync/SyncExecutor.html" title="type parameter in SyncExecutor">E</a>,&#8203;<a href="io/gitlab/littlesaints/protean/executors/sync/SyncExecutor.html" title="type parameter in SyncExecutor">P</a>,&#8203;<a href="io/gitlab/littlesaints/protean/executors/sync/SyncExecutor.html" title="type parameter in SyncExecutor">R</a>&gt;</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.executors.sync.SyncExecutor.TYPE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/executors/sync/SyncExecutor.html#TYPE">TYPE</a></code></th>
<td class="colLast"><code>"protean::executor::sync"</code></td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<div class="constantsSummary">
<table>
<caption><span>io.gitlab.littlesaints.protean.resources.<a href="io/gitlab/littlesaints/protean/resources/ProteanResources.html" title="interface in io.gitlab.littlesaints.protean.resources">ProteanResources</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.resources.ProteanResources.CONTEXT_RESULT_MAPPER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/resources/ProteanResources.html#CONTEXT_RESULT_MAPPER">CONTEXT_RESULT_MAPPER</a></code></th>
<td class="colLast"><code>"protean::context::result-mapper"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.resources.ProteanResources.GC">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/resources/ProteanResources.html#GC">GC</a></code></th>
<td class="colLast"><code>"protean::runnable::java::runtime::gc"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.resources.ProteanResources.SIMPLE_EVENT_ACCESSOR">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/resources/ProteanResources.html#SIMPLE_EVENT_ACCESSOR">SIMPLE_EVENT_ACCESSOR</a></code></th>
<td class="colLast"><code>"protean::event::accessor::simple-event"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.resources.ProteanResources.SINGLE_THREAD_EVENT_SUPPLIER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/resources/ProteanResources.html#SINGLE_THREAD_EVENT_SUPPLIER">SINGLE_THREAD_EVENT_SUPPLIER</a></code></th>
<td class="colLast"><code>"protean::event::supplier::single-thread-event"</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.resources.ProteanResources.THREAD_SAFE_EVENT_SUPPLIER">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/resources/ProteanResources.html#THREAD_SAFE_EVENT_SUPPLIER">THREAD_SAFE_EVENT_SUPPLIER</a></code></th>
<td class="colLast"><code>"protean::event::supplier::thread-safe-event"</code></td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<div class="constantsSummary">
<table>
<caption><span>io.gitlab.littlesaints.protean.throttle.<a href="io/gitlab/littlesaints/protean/throttle/SizeThrottle.html" title="class in io.gitlab.littlesaints.protean.throttle">SizeThrottle</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a id="io.gitlab.littlesaints.protean.throttle.SizeThrottle.TYPE">
<!--   -->
</a><code>public&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<th class="colSecond" scope="row"><code><a href="io/gitlab/littlesaints/protean/throttle/SizeThrottle.html#TYPE">TYPE</a></code></th>
<td class="colLast"><code>"protean::throttle::size"</code></td>
</tr>
</tbody>
</table>
</div>
</li>
</ul>
</section>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
